Bug 829119 - Review Request: python-vcstools - Version Control System tools for Python
Review Request: python-vcstools - Version Control System tools for Python
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ralph Bean
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 829126
  Show dependency treegraph
 
Reported: 2012-06-06 00:04 EDT by Rich Mattes
Modified: 2012-06-25 09:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-19 11:05:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
rbean: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rich Mattes 2012-06-06 00:04:53 EDT
Spec URL: http://rmattes.fedorapeople.org/rospackages/vcstools/python-vcstools.spec
SRPM URL: http://rmattes.fedorapeople.org/rospackages/vcstools/python-vcstools-0.1.17-1.fc17.src.rpm

Description: The vcstools module provides a Python API for interacting with different version control systems (VCS/SCMs). The VcsClient class provides an API 
for seamless interacting with Git, Mercurial (Hg), Bzr and SVN. The focus of the API is manipulating on-disk checkouts of source-controlled trees. Its main use is to support the rosinstall tool.

Fedora Account System Username: rmattes

$ rpmlint python-vcstools.spec ../RPMS/noarch/python-vcstools-0.1.17-1.fc17.noarch.rpm 
python-vcstools.spec: W: invalid-url Source0: vcstools-0.1.17.tar.bz2
python-vcstools.noarch: W: spelling-error %description -l en_US rosinstall -> rosin stall, rosin-stall, rosins tall
python-vcstools.noarch: W: manual-page-warning /usr/share/man/man1/vcstools.1.gz 628: warning: macro `tar' not defined (possibly missing space after `ta')
1 packages and 1 specfiles checked; 0 errors, 3 warnings.

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4131569
Comment 1 Ralph Bean 2012-06-06 20:58:57 EDT
I'll take this one.
Comment 2 Ralph Bean 2012-06-06 22:17:00 EDT
** MUST **

Do you intend to support EPEL5?  If not the "rm -rf $RPM_BUILD_ROOT" at the beginning of %install is unnecessary and should be removed.

Is there a reason you're not using the pypi distributed tarball?  http://pypi.python.org/pypi/vcstools

If you intend to use the hg snapshot over the pypi distribution for a deliberate reason, you should indicate the hg changeset hash in the version number.

** SHOULD **

Please notify upstream and ask them to include the full text of the license with their distribution; I couldn't find it in the source tree.  Once they include it, it should be included in the %doc macro.j
Comment 3 Rich Mattes 2012-06-06 22:59:38 EDT
Updated spec and srpm:

Spec URL: http://rmattes.fedorapeople.org/rospackages/vcstools/python-vcstools.spec
SRPM URL: http://rmattes.fedorapeople.org/rospackages/vcstools/python-vcstools-0.1.17-2.20120606hg6205f4fc.fc17.src.rpm

I don't intend to support epel5 with this package, so I've removed the rm -rf $RPM_BUILD_ROOT from install.

The pypi tarball doesn't contain any of the sphinx documentation (html and man).  I'd prefer to include the api documentation and manpages, so I'm grabbing the hg tags that correspond to the releases posted to pypi.  I've amended the package release and checkout comments to include the checkout date and hg hash as per the post-release snapshot examples at http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Snapshot_packages

I have filed a ticket upstream requesting that they include a LICENSE file with their source distributions at http://kforge.ros.org/vcstools/trac/ticket/51
Comment 4 Ralph Bean 2012-06-07 12:03:52 EDT
Approved!

One last thing I noticed is that there Okay.  One last thing I noticed is that
there are unit tests but you do not run them in the spec file.  That is a nice
plus.  If you care to do it, please do so.

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Could not retrieve sources. Please check the source files for
     licenses manually.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint python-vcstools-0.1.17-2.20120606hg6205f4fc.fc18.src.rpm

python-vcstools.src: W: spelling-error %description -l en_US rosinstall -> rosin stall, rosin-stall, rosins tall
python-vcstools.src: W: invalid-url Source0: vcstools-0.1.17.tar.bz2
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint python-vcstools-0.1.17-2.20120606hg6205f4fc.fc18.noarch.rpm

python-vcstools.noarch: W: spelling-error %description -l en_US rosinstall -> rosin stall, rosin-stall, rosins tall
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
Package has no sources or they are generated by developer
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[!]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


Generated by fedora-review 0.2.0git
External plugins:
Comment 5 Rich Mattes 2012-06-07 22:38:10 EDT
Thanks for taking care of this review!   I'll work on getting the test suite running in the %check section.
Comment 6 Rich Mattes 2012-06-07 22:39:01 EDT
New Package SCM Request
=======================
Package Name: python-vcstools
Short Description: Version Control System tools for Python
Owners: rmattes
Branches: f16 f17 el6
InitialCC:
Comment 7 Jon Ciesla 2012-06-08 08:46:00 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-06-08 20:58:43 EDT
python-vcstools-0.1.17-3.20120606hg6205f4fc.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-vcstools-0.1.17-3.20120606hg6205f4fc.fc17
Comment 9 Fedora Update System 2012-06-08 20:58:52 EDT
python-vcstools-0.1.17-3.20120606hg6205f4fc.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-vcstools-0.1.17-3.20120606hg6205f4fc.fc16
Comment 10 Fedora Update System 2012-06-08 20:59:22 EDT
python-vcstools-0.1.17-3.20120606hg6205f4fc.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-vcstools-0.1.17-3.20120606hg6205f4fc.el6
Comment 11 Fedora Update System 2012-06-09 15:25:52 EDT
python-vcstools-0.1.17-3.20120606hg6205f4fc.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 12 Fedora Update System 2012-06-19 11:05:06 EDT
python-vcstools-0.1.17-3.20120606hg6205f4fc.fc16 has been pushed to the Fedora 16 stable repository.
Comment 13 Fedora Update System 2012-06-19 11:10:15 EDT
python-vcstools-0.1.17-3.20120606hg6205f4fc.fc17 has been pushed to the Fedora 17 stable repository.
Comment 14 Fedora Update System 2012-06-25 09:30:56 EDT
python-vcstools-0.1.17-3.20120606hg6205f4fc.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.